PhysicsCube = Polygon:extend()

function PhysicsCube:new(x, y)
  PhysicsCube.super.new(self, x, y)
  self.type = "physicsCube"
  self.texture = texture.stoneBox
  self.body = love.physics.newBody(world, x, y, "dynamic")
  self.body:setLinearDamping( 0.05 )
  --Needs to be a pixel smaller due to stupid setmeter
  self.shape = love.physics.newRectangleShape(0, 0, self.texture:getWidth()*smallTextureScale-1, self.texture:getHeight()*smallTextureScale-1)
  self.fixture = love.physics.newFixture(self.body, self.shape, 1)
  table.insert(drawTable, self)
end


function PhysicsCube:draw()
  local x, y = self.body:getPosition()
  love.graphics.setColor(1,1,1)
  blue.graphics.drawCentred(self.texture, x, y, self.body:getAngle(), smallTextureScale, smallTextureScale)
  
  
  if debugMode then
    love.graphics.setColor(1, 0, 0)
    blue.graphics.polygon("line", {self.body:getWorldPoints(self.shape:getPoints())})
  end
  
end