Polygon = Entity:extend()

--Class for physics polygons (mainly for drawing them)

function Polygon:new(x, y)
  Polygon.super.new(self, x, y)
  self.type = "polygon"
end



function Polygon:draw()
  if self.type == "island" then
    love.graphics.setColor(0.28, 0.73, 0.05)
  elseif self.type == "physicsCube" then
    love.graphics.setColor(0.5, 0.5, 0.5)
  else
    love.graphics.setColor(1, 0, 1)
  end

  -- draw a "filled in" polygon using the ground's coordinates
  blue.graphics.polygon("fill", convertToTable(self.body:getWorldPoints(self.shape:getPoints())))
  love.graphics.setColor(0, 0, 0)
  blue.graphics.polygon("line", convertToTable(self.body:getWorldPoints(self.shape:getPoints())))
  
  if false then
    love.graphics.setColor(1,1,1,0.5)
    local x, y = self.body:getPosition( )
    blue.graphics.circle("line", x, y, 10)
  end
end
                         