function effectedByTimeBubble(self, useMassCentre)


  local playerX, playerY = player1.body:getPosition()
  local x, y
  
  if self.body then
    if useMassCentre and self.frozen then
      x = self.frozenValues.centreOfMass.x
      y = self.frozenValues.centreOfMass.y
    else
      x, y = self.body:getWorldCenter()
    end
  else
    x, y = self.x, self.y
  end
    
  
  
  if player1.timeBubble and (playerX - x)^2 + (playerY - y)^2 > player1.timeBubble^2 then
    if self.body then
      if useMassCentre then
        if not self.frozen then
          self.frozenValues = {}
          self.frozenValues.centreOfMass = {}
          self.frozenValues.centreOfMass.x = x
          self.frozenValues.centreOfMass.y = y
          self.frozenValues.velocity = {self.body:getLinearVelocity()}
          self.frozenValues.angularVelocity = self.body:getAngularVelocity()
          self.body:setType("static")
        end
      else
        self.body:setActive(false)
      end
    end
    self.frozen = true
    return true
  else
    if self.body then
      if useMassCentre then
        if self.frozen then
          self.body:setType("dynamic")
          self.body:setLinearVelocity(self.frozenValues.velocity[1], self.frozenValues.velocity[2])
          self.body:setAngularVelocity(self.frozenValues.angularVelocity)
        end
      else
        self.body:setActive(true)
      end
    end
    self.frozen = false
    return false
  end

end