function reloadSounds()
  sound = {}
  sound.music = {}
  sound.effect = {}
  sound.music.hopesAndDreams = love.audio.newSource("sounds/Our Hopes And Dreams Looped.wav", "stream")
  sound.music.hopesAndDreams:setLooping(true)
  sound.music.ethereal       = love.audio.newSource("sounds/60 Second Ethereal.mp3", "stream")
  sound.music.tranquility    = love.audio.newSource("sounds/Tranquility.mp3", "stream")
  sound.music.tranquility:setLooping(true)
  
  sound.effect.thud          = love.audio.newSource("sounds/Fast Banging on Dry Wall 1.mp3", "static")
  sound.effect.wingBeat      = love.audio.newSource("sounds/Woosh C4-1.mp3", "static")
  sound.effect.wingBeat:setVolume(0.5)


  sound.effect.ui = {}
  sound.effect.ui.select   =  love.audio.newSource("sounds/UI Select.mp3", "static")
  sound.effect.ui.positive =  love.audio.newSource("sounds/UI Positive.mp3", "static")
  sound.effect.ui.positive:setVolume(0.25)
  sound.effect.ui.negative =  love.audio.newSource("sounds/UI Negative.mp3", "static")

  sound.effect.firefly_collect = love.audio.newSource("sounds/Firefly Collect.mp3", "static")
  sound.effect.firefly_collect:setVolume(0.8)
  sound.effect.bounce_parry = love.audio.newSource("sounds/Bounce Parry.mp3", "static")
  sound.effect.bounce_parry:setVolume(0.5)

  sound.effect.stasis = love.audio.newSource("sounds/Stasis Splash.mp3", "static")
  sound.effect.stasis:setVolume(0.7)
  sound.effect.boost = love.audio.newSource("sounds/Boost.mp3", "static")
  sound.effect.direction_stone_activate = love.audio.newSource("sounds/Direction Stone Activate.mp3", "static")
  sound.effect.direction_stone_activate:setVolume(0.6)
end

reloadSounds()