-- By Pedro Gimeno, donated to the public domain
function isPointInPolygon(x, y, poly)
  local x1, y1, x2, y2
  local len = #poly
  x2, y2 = poly[len - 1], poly[len]
  local wn = 0
  for idx = 1, len, 2 do
    x1, y1 = x2, y2
    x2, y2 = poly[idx], poly[idx + 1]

    
    if y1 > y then
      if (y2 <= y) and (x1 - x) * (y2 - y) < (x2 - x) * (y1 - y) then
        wn = wn + 1
      end
    else
      if (y2 > y) and (x1 - x) * (y2 - y) > (x2 - x) * (y1 - y) then
        wn = wn - 1
      end
    end
  end
  return wn % 2 ~= 0 -- even/odd rule
end


--This one by me

function isPointInRectangle(px, py, x, y, width, height)
  
  --x, y = blue.standardTransform(x, y)
  
  
  local right = x + width/2
  local left = x - width/2
  local up = y + height/2
  local down = y - height/2
  

  
  
  if (left < px and px < right) and (down < py and py < up) then
    return true
  else
    return false
  end
  
end

