Animation = Object:extend()


function Animation:new(path, fps, xOffset, yOffset)
  self.frames = {}
  self.fps = fps
  self.xOffset = xOffset or 0
  self.yOffset = yOffset or 0

  if not file_exists("textures/"..path) then
    error(path.." does not exist!")
  end
  


  for i, filename in ipairs(love.filesystem.getDirectoryItems("textures/"..path)) do    
    
    local main, index, suffix = filename:match("(%D+)(%d+)(%D+)")
    
    if suffix ~= " Shadow.png" then
      self.frames[tonumber(index)] = textureSet(path.."/"..main..tostring(index))

    end
  end
  

  --If there are frames, assume it is a sprite sheet
  --[[if frames then
    local spriteSheet = love.graphics.newImage("textures/"..path)
    local spriteSheetWidth = spriteSheet:getWidth()

    if spriteSheetWidth % frames ~= 0 then
      error("Invalid number of frames! (".. spriteSheetWidth.." is not divisible by " .. frames..")")
    end

    local frameWidth = spriteSheetWidth/frames

    for i = 0, frames do
      table.insert(self.frames, love.graphics.newQuad(frameWidth*i, 0, frameWidth, spriteSheet:getHeight(), spriteSheet))
      
    end
  else]]
    
  

end



