local Character = Object:extend()


characterInfo = {}


function Character:new(name, hexCode)
  self.colour = {}
  
  self.colour.r = tonumber(hexCode:sub(1, 2),16)/255
  self.colour.g = tonumber(hexCode:sub(3, 4),16)/255
  self.colour.b = tonumber(hexCode:sub(5, 6),16)/255
  characterInfo[name] = self
end


function Character:getColour()
  return self.colour.r, self.colour.g, self.colour.b
end

--Set the character text colours
Character("Drea",     "77dcf2")
Character("Curator",  "ebffff")
Character("Voltehre", "73e368")
Character("Cordelia", "73e368") --NEED TO CHANGE
Character("Curator",  "5cc5bf")
Character("Elara",    "c0dff0")
Character("Jophiel",  "fcd628")



