local loadingTimes = {}

local currentlyMeasuring
local currentTimerStart



function startLoading(name)
  if currentlyMeasuring then
    if loadingTimes[currentlyMeasuring] then
      loadingTimes[currentlyMeasuring] = loadingTimes[currentlyMeasuring] + love.timer.getTime() - currentTimerStart
    else
      loadingTimes[currentlyMeasuring] = love.timer.getTime() - currentTimerStart
    end
  end

  if name then
    currentlyMeasuring = name
    currentTimerStart  = love.timer.getTime()
  else
    currentlyMeasuring = nil
    currentTimerStart  = nil
  end
end


function getLoadingResults()
  local string = ""
  
  for name, time in pairs(loadingTimes) do
    string = string .. name .. ": " .. tostring(time) .. "\n"
  end
  
  if string == "" then
    string = "no results"
  end
  
  return string
end



