Point = Object:extend()

function Point:new(x, y)
  self.x = x
  self.y = y
  self.type = "point"
end


function Point:distanceTo(target)
  return math.sqrt((self.x - target.x)^2 + (self.y - target.y)^2)
end

function Point:distanceToTargetSqrd(target)
  return (self.x - target.x)^2 + (self.y - target.y)^2
end

function Point:targetWithinDistance(target, distance)
  return (self.x - target.x)^2 + (self.y - target.y)^2 <= distance^2
end