extern int kernalRadius;


vec4 effect( vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords )
{

  vec4 pixel = vec4(0);

  
  int numberOfSamples = 0;

  for (int i = -kernalRadius; i < kernalRadius+1; i++ ) 
  {

    if (float(i)+screen_coords.y >  love_ScreenSize.y) break;

    pixel += Texel(texture, vec2(texture_coords.x, (float(i)+screen_coords.y)/love_ScreenSize.y));
    numberOfSamples++;
  }

  
  
  return pixel / float(numberOfSamples);
}
  